Option Strict Off
Option Explicit On
Imports System.Linq
Imports System.Collections.Generic
Namespace FMStocks_DB
   Public Class Version
   Private Const m_modName As String = "FMStocks_DB.Version"
   Public Function ConnectionString() As String
      ConnectionString = ""
      Dim dbh As DBHelper = Nothing
      Try
         gmRTL.Core.GlobalException.ClearErrorObject()
         dbh = New FMStocks_DB.DBHelper
         ConnectionString = dbh.GetConnectionString()
         dbh = Nothing
         Exit Function

      Catch exc As System.Exception
         gmRTL.Core.GlobalException.SetErrorObject(exc)
         Helpers.RaiseError(m_modName,"ConnectionString()")
      End Try
   End Function
   Public Function AppVersion() As String
      AppVersion = Helpers.GetVersionNumber()
   End Function
   Public Function ComputerName() As String
      ComputerName = Helpers.GetComputerName()
   End Function
   End Class
End Namespace
